Skip to main content
GET
List duplicatable components

Authorizations

Authorization
string
header
required

Query Parameters

name
string

The name of the component to filter by.

source_client_id
string

A comma-separated list of source client ids; Only components with specified source client ids will be returned.

state
string

The state of the components campaign to filter by. (LIVE, PAUSED, ENDED,...)

version_state
enum<string>

The version state of the components campaign to filter by.

Available options:
LATEST,
PUBLISHED
campaign_ids
string

A comma-separated list of components campaign IDs to filter by.

having_any_tags
string

A comma-separated list of tags; the component must have at least one of these tags.

having_all_tags
string

A comma-separated list of tags; the component must have all of these tags.

exclude_having_any_tags
string

A comma-separated list of tags; the component having any of these tags is excluded.

exclude_having_all_tags
string

A comma-separated list of tags; the component having all of these tags is excluded.

having_any_types
string

A comma-separated list of component types; the component must have at least one of these types.

having_all_types
string

A comma-separated list of component types; the component must have all of these types.

having_any_settings
string

A comma-separated list of setting name:value pairs. Backslash escapes the next character (e.g. , : \). The component must have at least one.

having_all_settings
string

A comma-separated list of setting name:value pairs. Backslash escapes the next character (e.g. , : \). The component must have all of them.

target_component_id
string

The ID of the target component to filter by. Only compatible components will be returned.

target_setting_name
string

The name of the target setting (socket or component_setting_lookup) to filter by. Only compatible components will be returned.

target_setting_filter_collection
string

The REST-visible property name on the resolved target setting whose value provides the compatibility filter collection. When provided explicitly, it requires target_component_id and target_setting_name. Defaults to filters when omitted. Only REST-visible properties whose values are supported filter collections are accepted. Only compatible components will be returned.

show_all
boolean

showAll applies only for components visible due components subscriptionsfalse (default) shows components from LIVE, integration and campaign-components program-types.true returns all components regardless of their program-type or state of the campaign.

limit
integer<int32>
default:1000
offset
integer<int32>
default:0

Response

Successful response

assets
object[]
required
campaign_id
string
required
campaign_state
string
required
component_ids
string[]
required
component_references
object[]
required
created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

description
string
required
display_name
required

The display name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use CampaignBuildtimeContext.

facets
object[]
required
id
string
required
read-only
install
required

The install as configured: a literal value, or an expression (type:string) when defined dynamically. Installtime expressions use ComponentInstalltimeContext.

installed_into_socket
string
required
name
string
required
origin
object
required
owner
enum<string>
required
Available options:
CLIENT,
EXTOLE,
EXTOLE_BETA
source_client_id
string
required
tags
string[]
required
type
string
required
types
string[]
required
updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

upload_version
string
required
variables
(ADMIN_ICON · object | AUDIENCE_ID · object | AUDIENCE_ID_LIST · object | BOOLEAN · object | BROWSER_SIDE_JAVASCRIPT · object | CLIENT_DOMAIN_ID_LIST · object | CLIENT_KEY · object | CLIENT_KEY_FLOW · object | COLOR · object | COMPONENT_ID · object | COMPONENT_REFERENCE · object | COMPONENT_REFERENCE_LIST · object | COMPONENT_SETTING_LOOKUP · object | CSS · object | DATE_TIME · object | DELAY · object | DELAY_LIST · object | ENUM · object | ENUM_LIST · object | EXTOLE_CLIENT_KEY · object | FONT · object | GLOB_COMPONENT_PATH · object | HTML · object | IMAGE · object | INTEGER · object | INTEGER_LIST · object | JSON · object | MULTI_SOCKET · object | PARTNER_ENUM · object | PARTNER_ENUM_LIST · object | PERSON_KEY_NAME · object | REWARD_SUPPLIER_ID · object | REWARD_SUPPLIER_ID_LIST · object | SFTP_DIRECTORY · object | SOCKET · object | STRING · object | STRING_LIST · object | STRING_MAP · object | TRIGGER_CONFIGURATION · object | URL · object | WEBHOOK_ID · object)[]
required
version
integer<int32>
required